click-apparmor does not properly calculate the policy version with 15.10 policy

Bug #1581097 reported by Jamie Strandboge on 2016-05-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
click-apparmor (Ubuntu)
High
Jamie Strandboge
Xenial
High
Unassigned
Yakkety
High
Jamie Strandboge

Bug Description

[Impact]
 * aa-clickhook fails with wily frameworks because of this: apparmor.easyprof.AppArmorException: "Could not find templates directory '/usr/share/apparmor/easyprof/templates/ubuntu/15.1'". It is reading the json 15.10 number for policy version as 15.1.
 * This needs to be in 16.04 because 15.10 frameworks exist in the xenial staging images for Touch and apps using 15.10 click frameworks won't work on xenial Touch images without it
 * The fix is in the ubuntu transform, if the policy vendor is 'ubuntu' and the policy version is > 15 and the policy version ends with .1, append a '0'. This is valid because in 15.10 and later Touch policy uses the Ubuntu release as the policy version. Previous policy versions operate how they always did (and the testsuite makes sure of that).

[Test Case]
 * Use the apparmor-easyprof-ubuntu image tests as detailed in https://wiki.ubuntu.com/Process/Merges/TestPlans/ClickAppArmor. When it starts going through 15.10 policy, there are various failures

[Regression Potential]
 * regression potential is low since the changes are for frameworks that are only available in images that no one currently uses
 * fixed in yakkety which passes https://wiki.ubuntu.com/Process/Merges/TestPlans/ClickAppArmor

Changed in click-apparmor (Ubuntu Yakkety):
status: New → In Progress
Changed in click-apparmor (Ubuntu Xenial):
status: New → Triaged
Changed in click-apparmor (Ubuntu Yakkety):
importance: Undecided → High
Changed in click-apparmor (Ubuntu Xenial):
importance: Undecided → High
Changed in click-apparmor (Ubuntu Yakkety):
assignee: nobody → Jamie Strandboge (jdstrand)
Changed in click-apparmor (Ubuntu Xenial):
assignee: nobody → Jamie Strandboge (jdstrand)
Changed in click-apparmor (Ubuntu Yakkety):
status: In Progress → Fix Committed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click-apparmor - 0.3.14

---------------
click-apparmor (0.3.14) yakkety; urgency=medium

  * src/apparmor/click.py: adjust _ubuntu_transform() to handle .10 releases
    of Ubuntu (LP: #1581097)

 -- Jamie Strandboge <email address hidden> Thu, 12 May 2016 12:08:07 -0500

Changed in click-apparmor (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Jamie Strandboge (jdstrand) wrote :

Uploaded 0.3.13.1 to xenial-proposed.

Changed in click-apparmor (Ubuntu Xenial):
status: Triaged → In Progress
assignee: Jamie Strandboge (jdstrand) → nobody

Hello Jamie, or anyone else affected,

Accepted click-apparmor into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/click-apparmor/0.3.13.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in click-apparmor (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Jamie Strandboge (jdstrand) wrote :

click-apparmor/0.3.13.1 passed the test plan using the following image:

$ system-image-cli -i
current build number: 16
device name: mako
channel: ubuntu-touch/staging/ubuntu
last update: 2016-05-23 19:25:11
version version: 16
version ubuntu: 20160521
version device: 20160402
version custom: 20160521

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click-apparmor - 0.3.13.1

---------------
click-apparmor (0.3.13.1) xenial-proposed; urgency=medium

  * src/apparmor/click.py: adjust _ubuntu_transform() to handle .10 releases
    of Ubuntu (LP: #1581097)

 -- Jamie Strandboge <email address hidden> Thu, 12 May 2016 14:19:34 -0500

Changed in click-apparmor (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for click-apparmor has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers